Package org.opensaml.security.config

# Interface SecurityConfiguration

All Known Subinterfaces:
  `XMLSecurityConfiguration`

All Known Implementing Classes:
  `BasicSecurityConfiguration`, `BasicXMLSecurityConfiguration`

public interface SecurityConfiguration
General security settings for profiles.

Since:
  5.0.0

## Method Summary

Modifier and Type
Method
Description
`ClientTLSValidationConfiguration`
`getClientTLSValidationConfiguration()`
Get the configuration used when validating client TLS X509Credentials.
`Duration`
`getClockSkew()`
Get the acceptable clock skew.
`HttpClientSecurityConfiguration`
`getHttpClientSecurityConfiguration()`
Get the configuration used when executing HttpClient requests.
`IdentifierGenerationStrategy`
`getIdGenerator()`
Get the generator used to generate secure identifiers.

## Method Details

### getClockSkew

@Nonnull Duration getClockSkew()
Get the acceptable clock skew.

Returns:
  acceptable clock skew

### getIdGenerator

@Nonnull IdentifierGenerationStrategy getIdGenerator()
Get the generator used to generate secure identifiers.

Returns:
  generator used to generate secure identifiers

### getClientTLSValidationConfiguration

@Nullable ClientTLSValidationConfiguration getClientTLSValidationConfiguration()
Get the configuration used when validating client TLS X509Credentials.

Returns:
  configuration used when validating client TLS X509Credentials, or null

### getHttpClientSecurityConfiguration

@Nullable HttpClientSecurityConfiguration getHttpClientSecurityConfiguration()
Get the configuration used when executing HttpClient requests.

Returns:
  configuration used when executing HttpClient requests, or null